I'm trying to upgrade my Mid 2014 Macbook pro from OSX Yosemite to El Capitan GM Beta. I have downloaded update today but while upgrading, installation stops and throws the following error.

OS X could not be installed on your computer

This core storage operation is not allowed on a sparse logical volume group. Quit the installer to restart your computer and try again.

Anybody know how to fix this error?

Your help much appreciated.

    After many researches on Apple technical forum, I found that one of the possible cause for the error

    This core storage operation is not allowed on a sparse logical volume group. Quit the installer to restart your computer and try again

    is FileVault encryption incompatibilities. I looked up in my Macbook for FileVault settings, the FileValt was turned off in my machine. I Enabled FileVault encryption and tried OSX El Capitan upgrade again. This time installation completed without any error.

    This solution worked fine for me.

      Your Answer

       
      discard

      By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

      Not the answer you're looking for? Browse other questions tagged or ask your own question.